cancel
Showing results for 
Search instead for 
Did you mean: 

Failed to apply patch PL03 for PD 16.5.3

Former Member
0 Kudos

I am unable to apply the patch.

My version of PowerDesigner: 16.5 SP 03 , Version: 16.5.3.0

Local Machine: Windows 7, 64 - bit

Downloaded Patch: POWDES165003P_3-10013312 (This was a zip folder name)

Trying to install: "PDES1653.4371.PL03(x64).msi" file from above zip folder.

Every time I try to install it gives me an error which I have attached as an image here. In case you can't see the image, error message is like this

"PowerDesigner 16.X was not found on your computer. You need to install PowerDesigner 16.X before upgrading to %p."

I am not sure why am I getting this error message. I saw someone had posted the same question, but there is no answer.

Note: I have not appllied any patches on my PD. I am trying to apply PL03 and skipping PL01 and PL02. I hope that's not the reason.

Please provide me a solution for this problem.

Thanks,

Perry

Accepted Solutions (1)

Accepted Solutions (1)

c_baker
Employee
Employee
0 Kudos

Does the PD 'Help/About' show '(64-bit)'?

Even if your Windows is 64-bit, the PD might still be 32-bit. Try downloading and installing the POWDES165003P_3-10013311.ZIP from the Win32 downloads.

If you want to go 64-bit and your license allows it, try installing the PD 16.5 SP03 x64 by downloading and installing POWDES165003_0-10013312.ZIP from the 64-bit downloads first.  This will replace your 32-bit install with a 64-bit install, then you can apply the 16.5SP03PL03 you first tried to apply.  Remember that all your DSNs will then need 64-bit versions if you are reverse engineering, etc.

Chris

Former Member
0 Kudos

Thanks Chris for the quick reply. I was able to install and you were right my PD version was 32-bit.

---Perry

Answers (0)